Skip to main content
GET
/
catchAll
/
datasets
/
{dataset_id}
/
status
Get dataset status history
curl --request GET \
  --url https://catchall.newscatcherapi.com/catchAll/datasets/{dataset_id}/status \
  --header 'x-api-key: <api-key>'
{
  "dataset_id": "ccabb755-afc2-4047-b84c-78d1f23d49b2",
  "history": [
    {
      "status": "pending",
      "additional_information": null,
      "created_at": "2026-04-08T15:21:36.066271"
    },
    {
      "status": "enriching",
      "additional_information": null,
      "created_at": "2026-04-08T15:21:36.500000"
    },
    {
      "status": "ready",
      "additional_information": null,
      "created_at": "2026-04-08T15:21:55.000000"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication.

Path Parameters

dataset_id
string<uuid>
required

Unique dataset identifier.

Response

Dataset status change history.

dataset_id
string<uuid>
required

ID of the dataset.

Example:

"ccabb755-afc2-4047-b84c-78d1f23d49b2"

history
object[]
required

Status change entries, ordered oldest to newest.